POST https://webapi.mymarketing.co.il/api/smartcodesite
Create a new Smart Code site
Request Information
URI Parameters
Body Parameters
Name
Description
Type
Additional information
name
string
Required
domains
Your website. Only required in a Post endpoint
string
group_id
integer
mailing_list_id
integer
allowed_ips
Your allowed ips. Optional.
string
version
integer
tracker_domain
Your tracker domain. Optional.
string
Request Formats
application/json, text/json
Sample:
{
"name": "sample string 2",
"domains": "sample string 3",
"group_id": 1,
"mailing_list_id": 1,
"allowed_ips": "sample string 4",
"version": 1,
"tracker_domain": "sample string 5"
}
application/xml, text/xml
Sample:
<ApiSmartCodeSiteCreate xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"> <Id>1</Id> <UniqueId>8adfcc5c-6cba-42db-b1ac-7273811caea9</UniqueId> <Name>sample string 2</Name> <Domains>sample string 3</Domains> <GroupId>1</GroupId> <MailingListId>1</MailingListId> <AllowedIps>sample string 4</AllowedIps> <Version>1</Version> <TrackerDomain>sample string 5</TrackerDomain> </ApiSmartCodeSiteCreate>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
Name
Description
Type
Additional information
id
integer
unique_id
globally unique identifier
name
string
Required
domains
Your website. Only required in a Post endpoint
string
group_id
integer
mailing_list_id
integer
allowed_ips
Your allowed ips. Optional.
string
version
integer
tracker_domain
Your tracker domain. Optional.
string
Response Formats
application/json, text/json
Sample:
{
"id": 1,
"unique_id": "1e9c0d39-f163-4d9c-a296-eeae61ff05d1",
"name": "sample string 2",
"domains": "sample string 3",
"group_id": 1,
"mailing_list_id": 1,
"allowed_ips": "sample string 4",
"version": 1,
"tracker_domain": "sample string 5"
}
application/xml, text/xml
Sample:
<ApiSmartCodeSiteInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"> <Id>1</Id> <UniqueId>1e9c0d39-f163-4d9c-a296-eeae61ff05d1</UniqueId> <Name>sample string 2</Name> <Domains>sample string 3</Domains> <GroupId>1</GroupId> <MailingListId>1</MailingListId> <AllowedIps>sample string 4</AllowedIps> <Version>1</Version> <TrackerDomain>sample string 5</TrackerDomain> </ApiSmartCodeSiteInfo>